import React from "react";
import PropTypes from "prop-types";
export interface ButtonProps {
    children: React.ReactNode;
    className?: string;
    color?: "blue" | "green" | "red";
    onClick: () => void;
}
export declare const Button: {
    ({ children, className, color, onClick }: ButtonProps): JSX.Element;
    propTypes: {
        children: PropTypes.Validator<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        onClick: PropTypes.Validator<(...args: any[]) => any>;
    };
    defaultProps: {
        color: string;
        onClick: () => any;
    };
};
