import React from "react";
import { Story, Meta } from "@storybook/react/types-6-0";
import { Button, ButtonProps } from "./index";

export default {
  title: "Button",
  component: Button,
  argTypes: {}
} as Meta;

const Template: Story<ButtonProps> = (args) => <Button {...args} />;

export const Default = Template.bind({});
Default.args = {
  children: "Text Element",
  onClick: () => alert("You clicked the button!")
};

export const Green = Template.bind({});
Green.args = {
  children: "Green Button",
  color: "green"
};

export const Fancy = Template.bind({});
Fancy.args = {
  children: "Fancy Gradient Button (hover me)",
  className: "bg-gradient-to-r from-pink-600 to-red-600 hover:from-blue-600 hover:to-green-600 transition-all duration-700"
};
