import { Meta, Story } from "@storybook/react/types-6-0";
import React from "react";
import { ButtonGroup, ButtonGroupProps } from "./index";

export default {
  title: "ButtonGroup",
  component: ButtonGroup,
  argTypes: {}
} as Meta;

const Template: Story<ButtonGroupProps> = (args) => <ButtonGroup {...args} />;

export const Default = Template.bind({});
Default.args = {
  buttons: [
    { children: "<" },
    { children: "1" },
    { children: "2" },
    { children: "3" },
    { children: ">" }
  ]
};

export const Multicolor = Template.bind({});
Multicolor.args = {
  buttons: [
    { children: "1", color: "blue" },
    { children: "2", color: "green" },
    { children: "3", color: "red" }
  ]
};